Loading...
Searching...
No Matches
atari.c File Reference

## Macros

#define | _(String)
#define | ATARI_DISK(disk)
#define | ATARI_PART(part)
#define | atr_part_known(part, pid_list)
#define | atr_part_trash(part, sz)
#define | atr_part_used(part)
#define | atr_part_valid(part, sz)
#define | atr_pid_assign(a, b)
#define | atr_pid_eq(a, b)
#define | BOOTABLE_CKSUM 0x1234
#define | GEM_MAX ((32*1024*1024)/PED_SECTOR_SIZE_DEFAULT)
#define | MAXIMUM_PARTS 64
#define | N_AHDI 4
#define | N_ICD 8
#define | NONBOOT_CKSUM 0x4321
#define | PART_FLAG_BOOT_ASV 0x40 /* Atari System V */
#define | PART_FLAG_BOOT_BSD 0x20 /* Net(?)BSD */
#define | PART_FLAG_BOOT_GEM 0x80 /* GEMDOS */
#define | PART_FLAG_BOOT_LNX 0x10 /* Linux */
#define | PART_FLAG_BOOT_UNK 0x08 /* unknown / other */
#define | PART_FLAG_USED 0x01
#define | SIGNATURE_EMPTY_SIZE 11
#define | SIGNATURE_EMPTY_TABLE "PARTEDATARI"

## Typedefs

typedef struct _AtariDisk | AtariDisk
typedef struct _AtariFS2PartId | AtariFS2PartId
typedef struct _AtariPart | AtariPart
typedef struct _AtariPartID2BootFlag | AtariPartID2BootFlag
typedef struct _AtariRawPartition | AtariRawPartition
typedef struct _AtariRawTable | AtariRawTable

## Enumerations

enum | AtrFmt { FMT_AHDI = 0 , FMT_XGM = 1 , FMT_ICD = 2 }

## Functions

struct | __attribute__ ((packed))
struct | __attribute__ ((packed, aligned(2)))
void | ped_disk_atari_done ()
void | ped_disk_atari_init ()
| PT_define_limit_functions (atari)

## Macro Definition Documentation

## _

#define _ | ( |  | String | ) |

Value:
(String)

## ATARI_DISK

#define ATARI_DISK | ( |  | disk | ) |

Value:
((AtariDisk*)((disk)->disk_specific))
AtariDisk
struct _AtariDisk AtariDisk
Definition atari.c:178

## ATARI_PART

#define ATARI_PART | ( |  | part | ) |

Value:
((AtariPart*)((part)->disk_specific))
AtariPart
struct _AtariPart AtariPart
Definition atari.c:187

## atr_part_known

#define atr_part_known | ( |  | part,
|  |  | pid_list )

Value:
(atr_pid_known ((part)->id, pid_list))

## atr_part_trash

#define atr_part_trash | ( |  | part,
|  |  | sz )

Value:
(atr_part_used(part)\
&& !atr_part_correct((part), (sz)))
atr_part_used
#define atr_part_used(part)
Definition atari.c:205

## atr_part_used

#define atr_part_used | ( |  | part | ) |

Value:
(((part)->flag) & PART_FLAG_USED)
PART_FLAG_USED
#define PART_FLAG_USED
Definition atari.c:62

## atr_part_valid

#define atr_part_valid | ( |  | part,
|  |  | sz )

Value:
(atr_part_used(part)\
&& atr_part_correct((part), (sz)))

## atr_pid_assign

#define atr_pid_assign | ( |  | a,
|  |  | b )

Value:
(memcpy ( (a), (b), 3 ))

## atr_pid_eq

#define atr_pid_eq | ( |  | a,
|  |  | b )

Value:
(!memcmp( (a), (b), 3 ))

## BOOTABLE_CKSUM

#define BOOTABLE_CKSUM 0x1234

## GEM_MAX

#define GEM_MAX ((32*1024*1024)/PED_SECTOR_SIZE_DEFAULT)

## MAXIMUM_PARTS

#define MAXIMUM_PARTS 64

## N_AHDI

#define N_AHDI 4

## N_ICD

#define N_ICD 8

## NONBOOT_CKSUM

#define NONBOOT_CKSUM 0x4321

## PART_FLAG_BOOT_ASV

#define PART_FLAG_BOOT_ASV 0x40 /* Atari System V */

## PART_FLAG_BOOT_BSD

#define PART_FLAG_BOOT_BSD 0x20 /* Net(?)BSD */

## PART_FLAG_BOOT_GEM

#define PART_FLAG_BOOT_GEM 0x80 /* GEMDOS */

## PART_FLAG_BOOT_LNX

#define PART_FLAG_BOOT_LNX 0x10 /* Linux */

## PART_FLAG_BOOT_UNK

#define PART_FLAG_BOOT_UNK 0x08 /* unknown / other */

## PART_FLAG_USED

#define PART_FLAG_USED 0x01

## SIGNATURE_EMPTY_SIZE

#define SIGNATURE_EMPTY_SIZE 11

## SIGNATURE_EMPTY_TABLE

#define SIGNATURE_EMPTY_TABLE "PARTEDATARI"

## Typedef Documentation

## AtariDisk

typedef struct _AtariDisk AtariDisk

## AtariFS2PartId

typedef struct _AtariFS2PartId AtariFS2PartId

## AtariPart

typedef struct _AtariPart AtariPart

## AtariPartID2BootFlag

typedef struct _AtariPartID2BootFlag AtariPartID2BootFlag

## AtariRawPartition

typedef struct _AtariRawPartition AtariRawPartition

## AtariRawTable

typedef struct _AtariRawTable AtariRawTable

## Enumeration Type Documentation

## AtrFmt

enum AtrFmt

Enumerator
FMT_AHDI |
FMT_XGM |
FMT_ICD |

## Function Documentation

## __attribute__() [1/2]

struct __attribute__ | ( | (packed) |  | ) |

## __attribute__() [2/2]

struct __attribute__ | ( | (packed, aligned(2)) |  | ) |

## ped_disk_atari_done()

void ped_disk_atari_done | ( |  | ) |

## ped_disk_atari_init()

void ped_disk_atari_init | ( |  | ) |

## PT_define_limit_functions()

PT_define_limit_functions | ( | atari |  | ) |